%global pypi_name einops
%global pypi_version 0.8.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %autorelease
Summary:        Deep learning operations reinvented

License:        MIT
URL:            https://github.com/arogozhnikov/einops
Source0:        %{url}/archive/v%{version}.tar.gz#/%{pypi_name}-%{pypi_version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(torch)

%description
Flexible and powerful tensor operations for readable and reliable code.
Supports numpy, pytorch, tensorflow, jax, and others.

%package -n     python3-%{pypi_name}
Summary:        Deep learning operations reinvented

%description -n python3-%{pypi_name}
Flexible and powerful tensor operations for readable and reliable code.
Supports numpy, pytorch, tensorflow, jax, and others.

%prep
%autosetup -n %{pypi_name}-%{pypi_version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# To prevent import errors, remove the frameworks we have no support for.
rm einops/layers/chainer.py
rm einops/layers/flax.py
rm einops/layers/keras.py
rm einops/layers/oneflow.py
rm einops/layers/paddle.py
rm einops/layers/tensorflow.py

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -l %{pypi_name}

%check
%pyproject_check_import

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md

%changelog
%autochangelog
